Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.graphicImage
Class GraphicImageStore

    java.lang.Object
      org.jboss.seam.core.AbstractMutable
          org.jboss.seam.ui.graphicImage.GraphicImageStore

All Implemented Interfaces:
  Serializable, org.jboss.seam.core.Mutable

    @Name(value="org.jboss.seam.ui.graphicImage.graphicImageStore")
    @Scope(value=SESSION)
    @Install(precedence=0)
    @BypassInterceptors
    public class GraphicImageStore

extends org.jboss.seam.core.AbstractMutable
implements Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `GraphicImageStore.ImageWrapper`

Constructor Summary
`GraphicImageStore()`

Method Summary
`boolean` | `contains(String key)`
`GraphicImageStore.ImageWrapper` | `get(String key)`
`static GraphicImageStore` | `instance()`
`String` | `put(GraphicImageStore.ImageWrapper image)` Put a image into the store
`String` | `put(GraphicImageStore.ImageWrapper image, String key)` Put an image into the store.
`GraphicImageStore.ImageWrapper` | `remove(String key)`

Methods inherited from class org.jboss.seam.core.AbstractMutable
`clearDirty, setDirty, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicImageStore

    public GraphicImageStore()

Method Detail

### put

    public String put(GraphicImageStore.ImageWrapper image)

  Put a image into the store

  Parameters:
    `image` -
  Returns:
    the key of the image

### put

    public String put(GraphicImageStore.ImageWrapper image,
                      String key)

  Put an image into the store.

  Parameters:
    `image` -
    `key` - The key to use, if null, a key will be generated
  Returns:
    The key of the image

### get

    public GraphicImageStore.ImageWrapper get(String key)

### remove

    public GraphicImageStore.ImageWrapper remove(String key)

### contains

    public boolean contains(String key)

### instance

    public static GraphicImageStore instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.